<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;

// load CSS
$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_elasticstack_images/assets/css/default.css');

//
$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= trim( $params->get('ext_id', '1') );
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}

//
$ext_width					= (int)$params->get('ext_width' , 320);
$ext_height					= (int)$params->get('ext_height', 180);
$ext_modernizr 				= (int)$params->get('ext_modernizr', 1);
$ext_draggabilly 			= (int)$params->get('ext_draggabilly', 1);
$ext_elastistack 			= (int)$params->get('ext_elastistack', 1);
$distDragBack				= (int)$params->get('distdragback' , 200);
$distDragMax				= (int)$params->get('distdragmax' , 450);

// load JS
if ($ext_modernizr > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_images/assets/js/modernizr.custom.js"></script>');
}
if ($ext_draggabilly > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_images/assets/js/draggabilly.pkgd.min.js"></script>'); 
}
if ($ext_elastistack > 0) {
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_images/assets/js/elastiStack.js"></script>');
}


$names = array('img', 'alt', 'url', 'target', 'html');
$max = 10;
foreach($names as $name) {
    ${$name} = array();
    for($i = 1; $i <= $max; ++$i) {
        ${$name}[] = $params->get($name . $i);
	}
}	
require JModuleHelper::getLayoutPath('mod_ext_elasticstack_images', $params->get('layout', 'default'));
?>